$(document).ready(function() {
    var $popup = $('#popup');

    $('.item a').click(function(){
        var $link = $(this);
        var popup_url = $link.data('popup-url');
        var popup_title = $link.data('popup-title');

        if (!popup_url) {
            return true;
        }
        $('.modal-title', $popup).html(popup_title);
        $('.modal-body', $popup).load(popup_url, function() {
            $popup.on('shown.bs.modal', function () {
                // robi coś po wyświetleniu okna dialogowego
            }).modal("show");
        });

        $('.close', $popup).click(function() {
            // robi coś przy zamykaniu okna dialogowego
        });

        return false; // wyłącza domyślne działanie odnośników
    });
});
